Bug 114934 (borderline-regressions) - [META] borderline regressions
Summary: [META] borderline regressions
Status: NEW
Alias: borderline-regressions
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Armin Le Grand (CIB)
URL:
Whiteboard: target:6.0.1
Keywords:
Depends on: 114743 115296 115626 115753 116051 116843 116895 117590 113521 113751 114625 114824 115169 115582 119025
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-09 16:15 UTC by Xisco Faulí
Modified: 2018-07-31 23:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-01-09 16:15:04 UTC
metabug to gather the regressions introduced by the rework done wrt borderline: https://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=borderline
Comment 1 Armin Le Grand (CIB) 2018-01-18 16:25:36 UTC
This is hard stuff, I am experimenting a while now. Good that the three are collected here, trhey are related and need a unified change to make this work. Unfortunately this will be no small change. I will note this here and use this task-ID.
Comment 2 Armin Le Grand (CIB) 2018-01-23 13:39:27 UTC
Added tdf#115169 which I detected while fixing the other ones
Comment 3 Armin Le Grand (CIB) 2018-01-23 13:40:29 UTC
Solution to all four in progress
Comment 4 Armin Le Grand (CIB) 2018-01-29 09:28:21 UTC
Committed

75802ae40ae67737ae9e4f1a38434e0587affff6 (HEAD -> master, origin/master, origin/HEAD) BorderlineFix: Corrected wrong indexing in Array initialization
753b35b27e3657db39f5d398a733879ef23b7c51 BorderlineFix: Use svx::frame::Array tooling in Draw/Impress
c4e6f6cfa1b189159245cb544959f800d126a78c BorderlineFix: Corrected Draw/Impress TableStyle accesses
9a03edf7f6ed1ae933ce73f26599bc4251662e9d BorderlineFix: Fix WriterPaint if scrolling CellTableBorders
07609f3ae2890ace29c249fac2fb60b0f0332af6 BorderlineFix: Fixed visual updates when scrolling
c5a3cae89660164f68565ee391ed8cf931f1d4da BorderlineFix: Corrected handling for 'rotated' CellBorders
b28360c66bc856176ff84bc6c2516f710a7196ab BorderlineFix: Avoid BorderLines to be too prolonged
8ed06d685bc99c61a36b8f1472883bf85e4b791a BorderlineFix: Corrected missing borders in print
71053a36f3f48904c254a1d277f42d6dcdc29b04 BorderlineFix: Need to redesign Borderline paint for Calc

to master, that fixes all tasks and adds some improvements.
Comment 5 Armin Le Grand (CIB) 2018-01-29 09:29:18 UTC
Will be needed for LO-6-0-0, too. Investigating how to add there...
Comment 6 Xisco Faulí 2018-01-29 11:11:32 UTC
Hi Armin,
I think it's too late for 6-0-0 but it can be cherry-picked to 6-0 and it will be available in LibreOffice 6.0.1.
Could you please close the issues as RESOLVED FIXED?
Comment 7 Commit Notification 2018-01-30 11:59:12 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f839ea98181a1c6970fe25a82cf798dc151ed332&h=libreoffice-6-0

fix tdf#114934 borderline feature regressions

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Armin Le Grand (CIB) 2018-01-31 14:55:37 UTC
Should be fixed - including subtasks - in Master and libreoffice-6-0 branch using

75802ae40ae67737ae9e4f1a38434e0587affff6 (HEAD -> master, origin/master, origin/HEAD) BorderlineFix: Corrected wrong indexing in Array initialization
753b35b27e3657db39f5d398a733879ef23b7c51 BorderlineFix: Use svx::frame::Array tooling in Draw/Impress
c4e6f6cfa1b189159245cb544959f800d126a78c BorderlineFix: Corrected Draw/Impress TableStyle accesses
9a03edf7f6ed1ae933ce73f26599bc4251662e9d BorderlineFix: Fix WriterPaint if scrolling CellTableBorders
07609f3ae2890ace29c249fac2fb60b0f0332af6 BorderlineFix: Fixed visual updates when scrolling
c5a3cae89660164f68565ee391ed8cf931f1d4da BorderlineFix: Corrected handling for 'rotated' CellBorders
b28360c66bc856176ff84bc6c2516f710a7196ab BorderlineFix: Avoid BorderLines to be too prolonged
8ed06d685bc99c61a36b8f1472883bf85e4b791a BorderlineFix: Corrected missing borders in print
71053a36f3f48904c254a1d277f42d6dcdc29b04 BorderlineFix: Need to redesign Borderline paint for Calc
Comment 9 Xisco Faulí 2018-01-31 15:20:38 UTC
Hi Armin,
Thank you very much for fixing this metabug and all the bugs depending on it.
Could you please close the other bugs as well ?
Comment 10 Armin Le Grand (CIB) 2018-02-06 18:31:58 UTC
@Xisco: Set others also to resolved/fixed. Sure I should close them...?
Comment 11 Xisco Faulí 2018-02-07 16:19:45 UTC
(In reply to Armin Le Grand (CIB) from comment #10)
> @Xisco: Set others also to resolved/fixed. Sure I should close them...?

Hi Armin,
Yes, it's good to have them set to RESOLVED FIXED. thanks
Comment 12 Xisco Faulí 2018-02-14 10:18:30 UTC
Putting back to NEW as 2 other related bugs have been found